
Infrastructure - Task #1451

Story # 1378 (Closed): Adding new object formats shouldn't require buildout 

Add an object format service to Metacat

2011-03-29 13:59 - Chris Jones

Status: Closed Start date: 2011-03-29

Priority: Normal Due date:  

Assignee: Chris Jones % Done: 100%

Category: d1_cn_service Estimated time: 0.00 hour

Target version: Sprint-2011.35-Block.5   

Milestone: 2011-Block-2 Story Points:  

Product Version: *   

Description

Metacat's service framework will be used to provide an ObjectFormatService which extends BaseService. ObjectFormatService

needs to implement:

refreshable()

doRefresh()

stop()

For managing object formats, the service will also provide:

listFormats()

getFormat()

createFormat()

updateFormats()

The format registry will initially use an XML document stored in Metacat as the backing store.  Formats must have unique identifiers,

and a call to updateFormats() needs to ensure that earlier formats aren't nuked accidentally. Potentially, deleteFormat() could be

implemented for administrative purposes only.

History

#1 - 2011-03-29 14:00 - Chris Jones

- Parent task set to #1378

#2 - 2011-05-23 17:54 - Chris Jones

The ObjectFormatService was added to the trunk, and then removed temporarily for the D1 0.6.1 authentication changes.  The service will be added

back into metacat for the 0.6.2 branch, but some of the methods will be moved into d1_common_java (getting the most current list from the CN or

from disk as a fallback).  This allows d1_libclient_java to also get the list rather than just Metacat.

#3 - 2011-06-03 14:47 - Chris Jones

- Status changed from In Progress to Closed

The ObjectFormatService is in place, and will be called from CrudService.
